-- Below is scripts to make talentmacros update tooltips for all classes
-- Updates happen at below events
-- To make a macro work it needs to have "## Talents" as macroname, where "##" is which talent level and the macro needs to be per character
-- You can add macros to update if you wish, as long as the macroname matches the macroname in-game.
-- 
-- ##########################################
-- MacroTooltipLoader by Macks - Frostmane EU
-- ##########################################
--
-- 
--
-- 
--


	local frame=CreateFrame("Frame");
	frame:RegisterEvent("PLAYER_LOGIN");
	frame:RegisterEvent("PLAYER_TALENT_UPDATE");
	frame:RegisterEvent("UPDATE_MACROS");
	frame:RegisterEvent("PLAYER_ENTERING_WORLD");
	frame:RegisterEvent("ACTIONBAR_SLOT_CHANGED");
	frame:RegisterEvent("ACTIONBAR_UPDATE_COOLDOWN");
	frame:SetScript("OnEvent",function(self,event,...)

	--local playerClass = UnitClass("player");
	
	local group = GetActiveSpecGroup();
	
	for i = 1,7, 1 do

		for j = 1,3, 1 do

				local id, name, texture, selected = GetTalentInfo( i, j, group );
			
				--Level 15 Talents
				if selected == true and i == 1 then
					local name1 = name;
					--ChatFrame1:AddMessage('Tier 15 spell is : ' .. name1);
					SetMacroSpell("15 Talents", name1);
				end
				--Level 30 Talents
				if selected == true and i == 2 then
					local name2 = name;
					SetMacroSpell("30 Talents", name2);
				end
				--Level 45 Talents
				if selected == true and i == 3 then
					local name3 = name;
					SetMacroSpell("45 Talents", name3);
				end
				--Level 60 Talents
				if selected == true and i == 4 then
					local name4 = name;
					SetMacroSpell("60 Talents", name4);
				end
				--Level 75 Talents
				if selected == true and i == 5 then
					local name5 = name;
					SetMacroSpell("75 Talents", name5);
				end
				--Level 90 Talents
				if selected == true and i == 6 then
					local name6 = name;
					SetMacroSpell("90 Talents", name6);
				end
				--Level 100 Talents
				if selected == true and i == 7 then
					local name7 = name;
					SetMacroSpell("100 Talents", name7);
				end
		end
	end
	--ChatFrame1:AddMessage('Executed Macro Tooltip Updates');
end);